uuagc

Safe Haskell | Safe-Infered

AbstractSyntax

# Documentation

data Child

Constructors

Child Identifier Type ChildKind |

type Children = [Child]

data Grammar

Constructors

Grammar TypeSyns UseMap Derivings (Set NontermIdent) Nonterminals PragmaMap AttrOrderMap ParamMap ContextMap QuantMap UniqueMap (Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression]))) (Map NontermIdent (Map ConstructorIdent (Map Identifier [Expression]))) (Map NontermIdent (Map ConstructorIdent (Map Identifier (Identifier, [Identifier], Expression)))) |

data Nonterminal

Constructors

Nonterminal NontermIdent [Identifier] Attributes Attributes Productions |

type Nonterminals = [Nonterminal]

data Production

Constructors

Production ConstructorIdent [Identifier] [Type] Children Rules TypeSigs MaybeMacro |

type Productions = [Production]

data Rule

Constructors

Rule (Maybe Identifier) Pattern Expression Bool String Bool Bool Bool (Maybe Error) Bool |

type Rules = [Rule]

data TypeSig

Constructors

TypeSig Identifier Type |

type TypeSigs = [TypeSig]